summaryrefslogtreecommitdiff
path: root/round-robin.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2020-09-11 09:53:40 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2020-09-11 15:00:36 +0000
commit1d5976a5b74523cf05e5b6c1744b6af887383ea8 (patch)
tree9c5ed1c83e994ad9cbaf2e446b6bfd7c8a2e2a9d /round-robin.sh
parent68008561e2990222ff7c6d7733fa29f6ab37cbad (diff)
jenkins-helpers.sh: Split $EXPECTED_EXIT into $INTERNAL_FAIL
... and $EXTERNAL_FAIL. This allows us to distinguish between regressions that we should bisect and infra problems that we should skip bisects for. Change-Id: I8f3b82c86d95e27351b01a2b3d2467b8e15b309e
Diffstat (limited to 'round-robin.sh')
-rw-r--r--round-robin.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/round-robin.sh b/round-robin.sh
index e8aba4d8..1ffe7574 100644
--- a/round-robin.sh
+++ b/round-robin.sh
@@ -528,14 +528,14 @@ check_regression ()
local score
score=$(grep -v "^#" ${rr[top_artifacts]}/results | tail -n1)
- if [ x"$score" = x"-125" ]; then
+ if [ x"$score" = x"-$EXTERNAL_FAIL" ]; then
echo "ERROR: We have encountered some infrastructure problem (e.g.,"
echo " benchmarking boards are offline), andso we can't finish"
echo " the build."
# Exit now and don't update baseline artifacts.
# By not creating trigger-build-* files, we signal
# round-robin-bisect.sh to skip this build/revision.
- exit 125
+ exit $EXTERNAL_FAIL
fi
if [ x"${rr[update_baseline]}" = x"rebase" ]; then